<?php

/***************************************************************************
*                            Dolphin Smart Community Builder
*                              -------------------
*     begin                : Mon Mar 23 2006
*     copyright            : (C) 2007 BoonEx Group
*     website              : http://www.boonex.com
* This file is part of Dolphin - Smart Community Builder
*
* Dolphin is free software; you can redistribute it and/or modify it under
* the terms of the GNU General Public License as published by the
* Free Software Foundation; either version 2 of the
* License, or  any later version.
*
* Dolphin is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
* without even the implied warranty of  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License for more details.
* You should have received a copy of the GNU General Public License along with Dolphin,
* see license.txt file; if not, write to marketing@boonex.com
***************************************************************************/

bx_import('BxBaseMenu');

/**
* @see BxBaseMenu;
*/
class BxTemplMenu extends BxBaseMenu {

	/**
	* Class constructor;
	*/
	function BxTemplMenu() {
		parent::BxBaseMenu();
	}

function genSearchElement()
{
return;
}

	/*
	* Generate top menu elements
	*/
    function genTopItem($sText, $sLink, $sTarget, $sOnclick, $bActive, $iItemID, $isBold = false, $sPicture = '') {
        
		$sActiveStyle = ($bActive) ? ' id="tm_active"' : '';

		if (!$bActive) {
			$sOnclick = $sOnclick ? ( ' onclick="' . $sOnclick . '"' ) : '';
			$sTarget  = $sTarget  ? ( ' target="'  . $sTarget  . '"' ) : '';
		}

		$sLink = (strpos($sLink, 'http://') === false && !strlen($sOnclick)) ? $this->sSiteUrl . $sLink : $sLink;

		$sMoreIcon = getTemplateIcon('tm_sitem_down.gif');

		$sSubMenu = $this->getAllSubMenus($iItemID);

		$sBoldStyle = ($isBold) ? 'style="font-weight:bold;"' : '';

		$sImgTabStyle = $sPictureRep = '';
		if ($isBold && $sPicture != '') {
			$sPicturePath = getTemplateIcon($sPicture);
			$sPictureRep = '<img src="' . $sPicturePath . '" />';

			$sText = '';
			$sImgTabStyle = 'style="width:38px;"';
		}

$aText = _t('_dropMenu_' . $sText);
$tContent = _t('_dropMenu_Content_' . $sText);
$tLeftContent = _t('_Left_Content_' . $sText);
		$sMainSubs = ($sSubMenu=='') ? '' : <<<EOF

	<ul class="sub main_elements"><div id="subMenuHead"><h3>$sText</h3>{$aText}</div>
<div id="SubMenuLeftCol" class="SubMenuLeftCol_{$sText}">		{$sSubMenu}<div style="width:100%;height:2px;clear:both;"></div></div>
<div style="float:left; white-space:normal; display: block; padding: 10px; margin-left:5px; position: absolute; float:left; bottom:0; width:300px; text-transform: none; text-align: left; color: #333333;" class="bottomLeft{$sText}"><script type="text/javascript">
$.get('<bx_url_root />topMenuHTML/{$sText}.html', function(data) {
  $('.bottomLeft{$sText}').html(data);
});
</script></div>
<div id="subMenuRightCol" class="SubMenuRightCol_{$sText}">{$tContent}</div>
	</ul>

EOF;

		$this->sCode .= <<<EOF
<td class="top" {$sActiveStyle} {$sImgTabStyle}>
	<a href="{$sLink}" {$sOnclick} {$sTarget} class="top_link"><span class="down" {$sBoldStyle}>{$sPictureRep}{$sText}</span>
	<!--[if gte IE 7]><!--></a><!--<![endif]-->
	<div id="dropdownTwoColumn" style="position:relative;display:block;">{$sMainSubs}</div>
</td>
EOF;
	}

	function GenMoreElementBegin() {
		$sMoreIcon = getTemplateIcon("tm_sitem_down.gif");

		$sMoreMainIcon = getTemplateIcon('tm_item_more.png');
		$moreText = _t('_dropMenu_MoreText');
		$moreHead = _t('_dropMenu_MoreHead');
		$this->sCode .= <<<EOF
<td class="top" style="width:68px;">
	<a href="javascript: void(0);" onclick="void(0);" class="top_link">
		<span class="down">More<img style ="margin-top:10px !important" src="{$sMoreMainIcon}"/></span>
		<!--[if gte IE 7]><!--></a><!--<![endif]-->
		<!--[if lte IE 6]><table id="mmm"><tr><td><![endif]-->
		<div id="dropdownTwoColumn"  style="position:relative;display:block;">
        <ul class="sub main_elements"><div id="subMenuHead"><h3>{$moreHead}</h3>{$moreText}</div><div id="SubMenuLeftCol">

EOF;
	}

	function genTopItemMore($sText, $sLink, $sTarget, $sOnclick, $bActive, $iItemID) {
		//$sIActiveStyles = ($bActive) ? 'color:#333;font-weight:bold;' : '';
        $sIActiveClass = ($bActive) ? ' active' : '';
		$sITarget = (strlen($sTarget)) ? $sTarget : '_self';
		$sILink = (strpos($sLink, 'http://') === false && !strlen($sOnclick)) ? $this->sSiteUrl . $sLink : $sLink;
		//$sIOnclick = (strlen($sOnclick)) ? $sOnclick : "window.open('{$sILink}','{$sITarget}');"; //old version
        $sIOnclick = (strlen($sOnclick)) ? 'onclick="'.$sOnclick.'"' : '';

		$sSubMenu = $this->getAllSubMenus($iItemID);

		$sActiveStyle = ($bActive) ? 'active' : '';
		$sActiveVisibleStyle = ($bActive) ? 'display:block;' : 'display:none;';
		$sSpacerIcon = getTemplateIcon( 'spacer.gif' );

		$this->iJSTempCnt++;

		if ($sSubMenu == '') {
			$this->sCode .= <<<EOF
<li class="{$sActiveStyle}">
	<a href="{$sILink}" {$sIOnclick} value="{$sText}" class="button more_ntop_element{$sIActiveClass}">{$sText}</a>
</li>
EOF;
		} else {
			$this->sCode .= <<<EOF
<li class="{$sActiveStyle}">

	<a href="{$sILink}" {$sIOnclick} value="{$sText}" class="button more_top_element{$sIActiveClass}" style="margin-left:0px;">{$sText}</a>
    <div class="clear_both"></div>
    	
	<ul style="{$sActiveVisibleStyle}" id="ul{$this->iJSTempCnt}" class="more_sub">
		{$sSubMenu}
	</ul>    
</li>
EOF;
		}
		$this->iJSTempCnt++;
	}



	function GenMoreElementEnd() {
		$moreContent = _t('_dropMenu_MoreContent');
		$this->sCode .= <<<EOF
</div><div id="subMenuRightCol">{$moreContent}</div>
    	</ul>
	</div>
	<div class="clear_both"></div>

</td>
EOF;
	}

}

// Creating template navigation menu class instance
$oTopMenu = new BxTemplMenu();

?>